org.eclipse.mat.util

## Class VoidProgressListener

- java.lang.Object
- - org.eclipse.mat.util.VoidProgressListener

All Implemented Interfaces:
  IProgressListener

    public class VoidProgressListener
    extends Object
    implements IProgressListener

Empty implementation of `IProgressListener` which is frequently used throughout the snapshot API in ISnapshot to get feedback for long running operations. This implementation does nothing.

See Also:
  `IProgressListener`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.mat.util.IProgressListener

`IProgressListener.OperationCanceledException, IProgressListener.Severity`

### Field Summary

### Fields inherited from interface org.eclipse.mat.util.IProgressListener

`UNKNOWN_TOTAL_WORK`

### Constructor Summary

Constructors
Constructor and Description
`VoidProgressListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `beginTask(String name, int totalWork)` Does nothing.
`void` `done()` Does nothing.
`boolean` `isCanceled()` Gets the cancel state.
`void` `sendUserMessage(IProgressListener.Severity severity, String message, Throwable exception)` Does nothing
`void` `setCanceled(boolean value)` Sets the cancel state.
`void` `subTask(String name)` Does nothing.
`void` `worked(int work)` Does nothing.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VoidProgressListener

    public VoidProgressListener()

### Method Detail

#### beginTask

    public void beginTask(String name,
                          int totalWork)

Does nothing.

Specified by:
  `beginTask` in interface `IProgressListener`
Parameters:
  `name` - the name (or description) of the main task
  `totalWork` - the total number of work units into which the main task is been subdivided. If the value is `UNKNOWN` the implementation is free to indicate progress in a way which doesn't require the total number of work units in advance.
See Also:
  `IProgressListener.beginTask(String, int)`

#### done

    public void done()

Does nothing.

Specified by:
  `done` in interface `IProgressListener`
See Also:
  `IProgressListener.done()`

#### isCanceled

    public boolean isCanceled()

Gets the cancel state.

Specified by:
  `isCanceled` in interface `IProgressListener`
Returns:
  `true` if cancellation has been requested, and `false` otherwise
See Also:
  `IProgressListener.isCanceled()`

#### setCanceled

    public void setCanceled(boolean value)

Sets the cancel state.

Specified by:
  `setCanceled` in interface `IProgressListener`
Parameters:
  `value` - `true` indicates that cancelation has been requested (but not necessarily acknowledged); `false` clears this flag
See Also:
  `IProgressListener.setCanceled(boolean)`

#### subTask

    public void subTask(String name)

Does nothing.

Specified by:
  `subTask` in interface `IProgressListener`
Parameters:
  `name` - the name (or description) of the subtask
See Also:
  `IProgressListener.subTask(String)`

#### worked

    public void worked(int work)

Does nothing.

Specified by:
  `worked` in interface `IProgressListener`
Parameters:
  `work` - the number of work units just completed
See Also:
  `IProgressListener.worked(int)`

#### sendUserMessage

    public void sendUserMessage(IProgressListener.Severity severity,
                                String message,
                                Throwable exception)

Does nothing

Specified by:
  `sendUserMessage` in interface `IProgressListener`
Parameters:
  `severity` - Severity as defined in `IProgressListener.Severity`
  `message` - The message localized to the current locale.
  `exception` - The relevant low-level exception, or `null` if none.
See Also:
  `IProgressListener.sendUserMessage(Severity, String, Throwable)`